using Enums;
using UnityEngine;

namespace Services.Interfaces {
    public interface IObjectPool<T> where T : class {
        T Get(GemType type, Vector2Int position, float offsetY);
        void Release(T gemView);
        void Clear();
    }
}